net.ME1312.SubServers.Bungee.Network

## Class Client

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Network.Client

    public final class Client
    extends java.lang.Object

Network Client Class

Author:
  ME1312

### Constructor Summary

Constructors
Constructor and Description
`Client(SubPlugin plugin, java.net.Socket client)` Network Client

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `authorize()` Authorize Connection
`java.net.InetSocketAddress` `getAddress()` Get Remote Address
`java.net.Socket` `getConnection()` Get Raw Connection
`ClientHandler` `getHandler()` Gets the Linked Handler
`boolean` `isAuthorized()` If the connection is authorized
`void` `sendPacket(PacketOut packet)` Send Packet to Client
`void` `setHandler(ClientHandler obj)` Sets the Handler Warning: This method should only be called by ClientHandler methods

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Client

    public Client(SubPlugin plugin,
                  java.net.Socket client)
           throws java.io.IOException

Network Client

Parameters:
  `plugin` - SubPlugin
  `client` - Socket to Bind
Throws:
  `java.io.IOException`

### Method Detail

#### authorize

    public void authorize()

Authorize Connection

#### sendPacket

    public void sendPacket(PacketOut packet)

Send Packet to Client

Parameters:
  `packet` - Packet to send

#### getConnection

    public java.net.Socket getConnection()

Get Raw Connection

Returns:
  Socket

#### getAddress

    public java.net.InetSocketAddress getAddress()

Get Remote Address

Returns:
  Address

#### isAuthorized

    public boolean isAuthorized()

If the connection is authorized

Returns:
  Authorization Status

#### getHandler

    public ClientHandler getHandler()

Gets the Linked Handler

Returns:
  Handler

#### setHandler

    public void setHandler(ClientHandler obj)

Sets the Handler Warning: This method should only be called by ClientHandler methods

Parameters:
  `obj` - Handler
See Also:
  `ClientHandler`